shared {
    DEFINES += ADVANCEDDOCKINGSYSTEM_LIBRARY
} else {
    DEFINES += BUILD_ADVANCEDDOCKINGSYSTEM_STATIC_LIB
}

INCLUDEPATH += $$PWD

## Input
RESOURCES += \
    $$PWD/resources.qrc

HEADERS += \
    $$PWD/ads_globals.h \
    $$PWD/dockareatabbar.h \
    $$PWD/dockareatitlebar.h \
    $$PWD/dockareawidget.h \
    $$PWD/dockcomponentsfactory.h \
    $$PWD/dockcontainerwidget.h \
    $$PWD/dockingstatereader.h \
    $$PWD/dockmanager.h \
    $$PWD/dockoverlay.h \
    $$PWD/docksplitter.h \
    $$PWD/dockwidget.h \
    $$PWD/dockwidgettab.h \
    $$PWD/elidinglabel.h \
    $$PWD/floatingdockcontainer.h \
    $$PWD/floatingdragpreview.h \
    $$PWD/iconprovider.h \
    $$PWD/workspacedialog.h \
    $$PWD/workspacemodel.h \
    $$PWD/workspaceview.h

SOURCES += \
    $$PWD/ads_globals.cpp \
    $$PWD/dockareatabbar.cpp \
    $$PWD/dockareatitlebar.cpp \
    $$PWD/dockareawidget.cpp \
    $$PWD/dockcomponentsfactory.cpp \
    $$PWD/dockcontainerwidget.cpp \
    $$PWD/dockingstatereader.cpp \
    $$PWD/dockmanager.cpp \
    $$PWD/dockoverlay.cpp \
    $$PWD/docksplitter.cpp \
    $$PWD/dockwidget.cpp \
    $$PWD/dockwidgettab.cpp \
    $$PWD/elidinglabel.cpp \
    $$PWD/floatingdockcontainer.cpp \
    $$PWD/floatingdragpreview.cpp \
    $$PWD/iconprovider.cpp \
    $$PWD/workspacedialog.cpp \
    $$PWD/workspacemodel.cpp \
    $$PWD/workspaceview.cpp

FORMS += \
        $$PWD/workspacedialog.ui

include($$PWD/linux/linux.pri)
